IF NOT EXISTS
	(
		SELECT 1 FROM SYSOBJECTS WHERE xtype='U' AND [name] = 'tbSecretItemHistory'
	)
BEGIN
	CREATE TABLE [dbo].[tbSecretItemHistory]
	(
		[SecretItemHistoryId] INT IDENTITY(1,1) PRIMARY KEY,
		[UserId] INT NOT NULL CONSTRAINT FK_UserId_User REFERENCES [dbo].[tbUser] ([UserId]),
		[SecretItemId] INT NOT NULL CONSTRAINT FK_SecretItemId_SecretItem REFERENCES [dbo].[tbSecretItem] ([SecretItemId]),
		[Date] DATETIME NOT NULL,
		[ItemValueNew] VARCHAR(4000),
		[ItemValueNew2] VARCHAR(4000),
		[IsSalted] BIT NOT NULL DEFAULT(0),
		[IsUnicode] BIT NOT NULL DEFAULT(0),
		[UseAES256] BIT NOT NULL DEFAULT(0),
		[ConcurrencyId] VARCHAR(50) NOT NULL,
		[IsEncrypted] BIT NOT NULL DEFAULT(0)
	)
END

GO