<%@ Register TagPrefix="cc1" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" tagname="login" src="~/usercontrols/login.ascx" %>
<%@ Page language="c#" Codebehind="ReportsUserAudit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.ReportsUserAudit" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>

<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id="ReportDialog" Watermark="images/water_report.gif" caption="Reports - User Audit" runat="server">
		<asp:Literal id="AllSecretsLabel" runat="server" 
		Text="This report shows all secrets accessed by a particular user during the time period 
		specified. <br/>Note: Only secrets for which *you* have access are displayed." />
		<br/><br/>
		<table>
			<tr>
				<td><asp:Literal runat="server" id="UserLiteral" Text="User" /> <asp:DropDownList id=UserDropDownList runat="server" ></asp:DropDownList></td>
				<td>&nbsp;&nbsp;</td>
				<td><asp:Literal runat="server" id="FromLiteral" Text="From" /> <thycotic:calendar Nullable="false" id="StartingCalendar" runat="server" width="70" height="20" />
				<thycotic:BusinessValidator runat="server" ID="FromDateOccuresBeforeToDateValidator" />
				</td>
				<td>&nbsp;&nbsp;</td>
				<td><asp:Literal runat="server" id="ToLiteral" Text="To" /> <thycotic:calendar Nullable="false" id="EndingCalendar" runat="server" width="70" height="20"/></td>
			</tr>
			<tr>
				<td>
					<thycotic:checkbox runat="server" id="ShowInactiveUsersCheckBox"  AutoPostBack="true" Text="Show Inactive Users" />
				</td>
			</tr>
			<tr>
				<td colspan="5"><br/><thycotic:button id="SearchHistoryButton" runat="server" text="Search History"/></td>
			</tr>
		</table>
		<br />
		<thycotic:datagrid id="SecretHistoryGrid" itemsname="secrets viewed by this user during this time period" runat="server" PageSize="100">
		<columns>
			<asp:templatecolumn headertext="Secret Name" SortExpression="SecretName">
				<itemtemplate>
					<a href="" id="SecretNameHyperLink" runat="server">
					<thycotic:label id="SecretNameLabel" runat="server" /></a>
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn  headertext="Secret Type" SortExpression="SecretType">
				<itemtemplate>
					<thycotic:label id="SecretTypeLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>		
		</columns>
		</thycotic:datagrid>
	</custom:NewDialog>
</ihawu:masterpage>
