<%@ Page language="c#" Codebehind="SignUp.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SignUp" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="thycotic" tagname="eula" src="~/usercontrols/Eula.ascx" %>

<ihawu:masterpage id="masterPage" runat="server">

<br/><br/><br/>
<thycotic:BusinessValidator runat="server" id="EulaBusinessValidator" />
<thycotic:BusinessValidator runat="server" id="MatchingPasswordValidator" />
<center>
	<custom:NewDialog runat="server" caption="Sign Up" width="410" id="SignUpDialog">
	<table cellpadding="0" cellspacing="0">
		<tr>
			<td width="180"><thycotic:FieldLabel id="UserNameFieldLabel" cssclass="LoginLabel" runat="server" text="Username" /></td>
			<td width="10">&nbsp;</td>
			<td width="250">
				<thycotic:TextBox id="UserNameTextBox" cssclass="LoginTextBox" runat="server" />
				<thycotic:RequiredFieldValidator runat="server" id="UsernameValidator" ErrorMessage="Please enter a username." ControlToValidate="UserNameTextBox" />
			</td>
		</tr>
		<tr>
			<td width="180"><thycotic:FieldLabel id="EmailFieldLabel" cssclass="LoginLabel" runat="server" text="Email (optional)" /></td>
			<td width="10">&nbsp;</td>
			<td width="250">
				<thycotic:TextBox id="EmailTextBox" cssclass="LoginTextBox" runat="server" />
				<thycotic:RegularExpressionValidator runat="server" ControlToValidate="EmailTextBox" id="EmailExpressionValidator" ErrorMessage="Please enter a valid E-Mail address." ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
			</td>
		</tr>
		<tr>
			<td><thycotic:FieldLabel id="PasswordFieldLabel" runat="server" text="Password" /></td>
			<td>&nbsp;</td>
			<td>
				<thycotic:TextBox id="PasswordTextBox" CssClass="LoginTextBox" TextMode="password" runat="server" />
				<thycotic:requiredfieldvalidator runat="server" id="PasswordValidator" errormessage="Please enter a password." controltovalidate="PasswordTextBox" />
			</td>
		</tr>
		<tr>
			<td><thycotic:FieldLabel id="ConfirmPasswordFieldLabel" runat="server" text="Confirm Password" /></td>
			<td>&nbsp;</td>
			<td>
				<thycotic:textbox id="ConfirmPasswordTextBox" cssclass="LoginTextBox" textmode="password" runat="server" />
				<thycotic:requiredfieldvalidator runat="server" id="ConfirmPsswordValidator" errormessage="Please confirm your password." controltovalidate="ConfirmPasswordTextBox" />
			</td>
		</tr>
		<tr>
			<td colspan="3" height="20" />
		</tr>
		<tr>
			<td colspan="3" align="center">
				<thycotic:eula runat="server" />
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<br />
				<thycotic:CheckBox runat="server" id="AgreementCheckBox" Text="I Agree" />
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<br />
				<thycotic:Button runat="server" id="SignUpButton" Text="Sign Up" />
			</td>
		</tr>
	</table>
</custom:NewDialog>
</center>
<script language="javascript">
addOnLoad(function() { document.getElementById("UserNameTextBox").focus(); });
</script>
</ihawu:masterpage>