IF NOT EXISTS
(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbSecretItem'
			AND 
			C.Name='Use256Key'
)

BEGIN
	ALTER TABLE tbSecretItem ADD [Use256Key] BIT NOT NULL DEFAULT (0)
END
GO
