IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbSecretField'
			AND 
			C.Name='HistoryLength'
	)
ALTER TABLE [dbo].[tbSecretField]
	ADD [HistoryLength] INT NOT NULL DEFAULT (0)

GO