IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='SystemUser'
	)
BEGIN
	ALTER TABLE [dbo].[tbUser]
		ADD [SystemUser] BIT NOT NULL DEFAULT (0)
END
GO

IF EXISTS (SELECT 1 FROM [dbo].[tbUser] WHERE UserName = 'SecretServerSystem')
BEGIN
	UPDATE tbUser set tbUser.SystemUser = 1 WHERE UserName = 'SecretServerSystem'
--	UPDATE tbUser set tbUser.Enabled = 1 WHERE UserName = 'SecretServerSystem'
END
GO